This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 982167 - [All LANG][RHSM CLI] Unlocalized strings for repos module.
[All LANG][RHSM CLI] Unlocalized strings for repos module.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
Translation
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-07-08 06:05 EDT by Lijun Li
Modified: 2013-10-01 09:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:49:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lijun Li 2013-07-08 06:05:37 EDT
Description of problem:
[All LANG][RHSM CLI] Unlocalized strings for repos module.

Version-Release number of selected component (if applicable):
RHEL5.10 Beta 1 build:
subscription-manager-1.8.11-1.el5

How reproducible:
100%

Steps to Reproduce:
1. Install latest RHEL5.10 Beta 1 build and run the following rhsm cli from terminal with local languages.

Actual results:
# subscription-manager repos --h
使用法: subscription-manager repos [オプション]

このシステムでの使用権限があるリポジトリを表示

オプション:
  -h, --help            このヘルプメッセージを表示して終了
  --proxy=PROXY_URL     proxy_hostname:proxy_port
                        の形式によるプロキシ URL
  --proxyuser=PROXY_USER
                        ベーシック認証による HTTP
                        プロキシのユーザー
  --proxypassword=PROXY_PASSWORD
                        ベーシック認証による HTTP
                        プロキシのパスワード
  --list                このシステム用の既知のレポジトリを一覧表示
  --enable=REPOID       repo to enable (can be specified more than once).
                        Wildcards (* and ?) are supported.
  --disable=REPOID      repo to disable (can be specified more than once).
                        Wildcards (* and ?) are supported.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized

Expected results:
All the strings should be localized.

Additional info:
Comment 1 Bryan Kearney 2013-07-11 05:02:17 EDT
fixed in subscription-manager-1.8.13
Comment 2 Sharath Dwaral 2013-07-16 13:31:25 EDT
Version:

Verification:

Verified for the following languages

Oriya 		or_IN
Assamese	as_IN
Hindi 		hi_IN
Marati		mr_IN
Gujarati	gu_IN
Kannada		kn_IN
Tamil		ta_IN
Telgu		te_IN
Malayalam	ml_IN

Chinese		zh_CN	
Korean		ko_KR
Japanese	ja_JP	
Taiwanese	zh_TW
Portuguese      pt_BR
Spanish 	es_ES
German		de_DE
French		fr_FR
Italian		it_IT

LANGS pa and bn-IN are currently 79% translated.  See...
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X

Moving back to new
Comment 3 Sharath Dwaral 2013-07-16 13:37:28 EDT
Version:

# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-1.8.13-1.el5_9
subscription-manager-migration-1.8.13-1.el5_9
python-rhsm-1.8.13-1.el5_9
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
subscription-manager-firstboot-1.8.13-1.el5_9
subscription-manager-debuginfo-1.8.13-1.el5_9
subscription-manager-gui-1.8.13-1.el5_9
Comment 4 Sharath Dwaral 2013-07-16 17:46:21 EDT
Version:

# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-migration-1.8.13-1.el5
subscription-manager-1.8.13-1.el5
subscription-manager-gui-1.8.13-1.el5
python-rhsm-1.8.13-1.el5_9
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
subscription-manager-firstboot-1.8.13-1.el5

Verification:

# LANG=zh_CN.UTF-8 subscription-manager repos --h
使用:subscription-manager repos [选项]

列出为这个系统授权使用的库

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     proxy URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP proxy 用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP proxy 密码
  --list                列出这个系统的已知库
  --enable=REPOID       要启用的库(一次可指定多个)。支持通配符(*
                        和 ?)。
  --disable=REPOID      要禁用的库(一次可指定多个)。支持通配符(*
                        和 ?)。


Moving to Verified
928082 is tracking pa and bn_IN translations

Note You need to log in before you can comment on or make changes to this bug.